<?php
/**
 * BookYourTravel_Theme_Filters class
 *
 * @package WordPress
 * @subpackage BookYourTravel
 * @since 1.0
 * @version 8.00
 */

if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class BookYourTravel_Theme_Filters extends BookYourTravel_BaseSingleton
{
    protected function __construct()
    {

        // our parent class might contain shared code in its constructor
        parent::__construct();
    }

    public function init()
    {
        global $bookyourtravel_theme_globals;
        
        // add_filter( 'style_loader_tag', array($this, 'remove_type_attributes'), 10, 2);
        // add_filter( 'script_loader_tag', array($this, 'remove_type_attributes'), 10, 2);
        add_filter('revslider_dashboard_elements', array($this, 'revslider_dashboard_elements_remove_activation_widget'));
        add_filter('post_thumbnail_html', array($this, 'filter_post_thumbnail_html'), 10, 5);
        add_filter('get_the_archive_title', array($this, 'get_the_archive_title'));
        add_filter('vc_gitem_template_attribute_post_excerpt', array($this, 'customize_excerpt'), 10, 2);
        add_filter('image_size_names_choose', array($this, 'my_custom_sizes'));

        add_filter('pt-ocdi/disable_pt_branding', array($this, 'disable_pt_branding'));

        add_filter('pt-ocdi/import_files', array($this, 'list_demo_import_files'));
        add_action('pt-ocdi/after_import', array($this, 'demo_after_import'));
        add_filter('wp_dropdown_users_args', array($this, 'add_roles_to_dropdown'), 10, 2);

        add_filter( 'body_class', array($this, 'body_class'));
        add_filter( 'ocdi/register_plugins', array($this, 'ocdi_register_plugins') );
    }

    public function ocdi_register_plugins( $plugins ) {
        $theme_plugins = [
          [
            'name' => 'Revolution slider', // The plugin name.
            'slug' => 'revslider', // The plugin slug (typically the folder name).
            'source' => BookYourTravel_Theme_Utils::get_file_path('/includes/plugins/revslider/revslider.zip'), // The plugin source.
            'required' => false, // If false, the plugin is only 'recommended' instead of required.
          ],
          [
            'name' => 'Envato Market', // The plugin name.
            'slug' => 'envato-market', // The plugin slug (typically the folder name).
            'source' => BookYourTravel_Theme_Utils::get_file_path('/includes/plugins/envato-market/envato-market.zip'), // The plugin source.
            'required' => false, // If false, the plugin is only 'recommended' instead of required.
          ],
          [ // A WordPress.org plugin repository example.
            'name'     => 'Elementor', // Name of the plugin.
            'slug'     => 'elementor', // Plugin slug - the same as on WordPress.org plugin repository.
            'required' => false,                     // If the plugin is required or not.
          ],
          [ // A WordPress.org plugin repository example.
            'name'     => 'WooCommerce', // Name of the plugin.
            'slug'     => 'woocommerce', // Plugin slug - the same as on WordPress.org plugin repository.
            'required' => false,                     // If the plugin is required or not.
          ],
          [ // A WordPress.org plugin repository example.
            'name'     => 'Contact Form 7', // Name of the plugin.
            'slug'     => 'contact-form-7', // Plugin slug - the same as on WordPress.org plugin repository.
            'required' => false,                     // If the plugin is required or not.
          ],
          [
            'name'     => 'WP Bakery',
            'source' => BookYourTravel_Theme_Utils::get_file_path('/includes/plugins/visual-composer/js_composer.zip'), // The plugin source.
            'required' => false,                     // If the plugin is required or not.
            'slug' => 'js_composer',
          ],
          [
            'name' => 'Max Mega Menu',
            'slug' => 'megamenu',
            'required' => false,
          ]
        ];
  
        return array_merge( $plugins, $theme_plugins );
      }

    function body_class( $classes ) {
        global $body_class;
        $body_classes = explode(" ",$body_class);

        return array_merge( $classes, $body_classes);
    }
        
    public function add_roles_to_dropdown($query_args, $r)
    {
        $query_args['who'] = '';
        return $query_args;
    }

    public function demo_after_import($selected_import)
    {
        if ('Default BookYourTravel WPBakery' === $selected_import['import_file_name'] ||
            'Default BookYourTravel Elementor' === $selected_import['import_file_name'] ||
            'Agritourism WPBakery' === $selected_import['import_file_name'] ||
            'Agritourism Elementor' === $selected_import['import_file_name'] ||
            'Beach Resort WPBakery' === $selected_import['import_file_name'] ||
            'Beach Resort Elementor' === $selected_import['import_file_name'] ||
            'Bed &amp; Breakfast WPBakery' === $selected_import['import_file_name'] ||
            'Bed &amp; Breakfast Elementor' === $selected_import['import_file_name'] ||
            'Chalet WPBakery' === $selected_import['import_file_name'] ||
            'Chalet Elementor' === $selected_import['import_file_name'] ||
            'Christmas &amp; New Year WPBakery' === $selected_import['import_file_name'] ||
            'Christmas &amp; New Year Elementor' === $selected_import['import_file_name'] ||
            'Cruise Operator WPBakery' === $selected_import['import_file_name'] ||
            'Cruise Operator Elementor' === $selected_import['import_file_name'] ||
            'Eco Lodge WPBakery' === $selected_import['import_file_name'] ||
            'Eco Lodge Elementor' === $selected_import['import_file_name'] ||
            'Event Festival WPBakery' === $selected_import['import_file_name'] ||
            'Event Festival Elementor' === $selected_import['import_file_name'] ||
            'Exotic Tours WPBakery' === $selected_import['import_file_name'] ||
            'Exotic Tours Elementor' === $selected_import['import_file_name'] ||
            'Hostel WPBakery' === $selected_import['import_file_name'] ||
            'Hostel Elementor' === $selected_import['import_file_name'] ||
            'Hotel WPBakery' === $selected_import['import_file_name'] ||
            'Hotel Elementor' === $selected_import['import_file_name'] ||
            'Luxury Resort WPBakery' === $selected_import['import_file_name'] ||
            'Luxury Resort Elementor' === $selected_import['import_file_name'] ||
            'Motorhomes &amp; Campervans WPBakery' === $selected_import['import_file_name'] ||
            'Motorhomes &amp; Campervans Elementor' === $selected_import['import_file_name'] ||
            'Rent a Car WPBakery' === $selected_import['import_file_name'] ||
            'Rent a Car Elementor' === $selected_import['import_file_name'] ||
            'Rent a Car Premium WPBakery' === $selected_import['import_file_name'] ||
            'Rent a Car Premium Elementor' === $selected_import['import_file_name'] ||
            'Ski Resort WPBakery' === $selected_import['import_file_name'] ||
            'Ski Resort Elementor' === $selected_import['import_file_name'] ||
            'Sustainable Travel WPBakery' === $selected_import['import_file_name'] ||
            'Sustainable Travel Elementor' === $selected_import['import_file_name'] ||
            'Tour Landing Page WPBakery' === $selected_import['import_file_name'] ||
            'Tour Landing Page Elementor' === $selected_import['import_file_name'] ||
            'Tour Operator WPBakery' === $selected_import['import_file_name'] ||
            'Tour Operator Elementor' === $selected_import['import_file_name'] ||
            'Travel Agency WPBakery' === $selected_import['import_file_name'] ||
            'Travel Agency Elementor' === $selected_import['import_file_name'] ||
            'Travel Guide WPBakery' === $selected_import['import_file_name'] ||
            'Travel Guide Elementor' === $selected_import['import_file_name'] ||
            'Vacation Rentals WPBakery' === $selected_import['import_file_name'] ||
            'Vacation Rentals Elementor' === $selected_import['import_file_name'] ||
            'Villa WPBakery' === $selected_import['import_file_name'] ||
            'Villa Elementor' === $selected_import['import_file_name'] ||
            'Wedding Venue WPBakery' === $selected_import['import_file_name'] ||
            'Wedding Venue Elementor' === $selected_import['import_file_name'] ||
            'Travel &amp; Tours WPBakery' === $selected_import['import_file_name'] || 
            'Travel &amp; Tours Elementor' === $selected_import['import_file_name']) {
            //Set Menu

            $top_menu = get_term_by('name', esc_html__('Primary Menu', 'bookyourtravel'), 'nav_menu');
            $top_nav_menu = get_term_by('name', esc_html__('Top Header Menu', 'bookyourtravel'), 'nav_menu');
            $top_nav_left_menu = get_term_by('name', esc_html__('Top Left Header Menu', 'bookyourtravel'), 'nav_menu');
            $header_ribbon_menu = get_term_by('name', esc_html__('Header Ribbon Menu', 'bookyourtravel'), 'nav_menu');
            $footer_menu = get_term_by('name', esc_html__('Footer Menu', 'bookyourtravel'), 'nav_menu');
            $user_account_menu = get_term_by('name', esc_html__('User Account Menu', 'bookyourtravel'), 'nav_menu');
            $partner_account_menu = get_term_by('name', esc_html__('Partner Account Menu', 'bookyourtravel'), 'nav_menu');

            $menus = array();
            if ($top_menu) {
                $menus['primary-menu'] = $top_menu->term_id;
            }
            if ($top_nav_menu) {
                $menus['top-nav-menu'] = $top_nav_menu->term_id;
            }
            if ($top_nav_left_menu) {
                $menus['top-nav-left-menu'] = $top_nav_left_menu->term_id;
            }
            if ($header_ribbon_menu) {
                $menus['header-ribbon-menu'] = $header_ribbon_menu->term_id;
            }
            if ($footer_menu) {
                $menus['footer-menu'] = $footer_menu->term_id;
            }
            if ($user_account_menu) {
                $menus['user-account-menu'] = $user_account_menu->term_id;
            }
            if ($partner_account_menu) {
                $menus['partner-account-menu'] = $partner_account_menu->term_id;
            }

            set_theme_mod('nav_menu_locations', $menus);
        }

        $page = null;
        $slider_array = array();
        $elementor_array = array();        

        if ('Default BookYourTravel WPBakery' === $selected_import['import_file_name'] || 'Default BookYourTravel Elementor' === $selected_import['import_file_name']) {
			if ('Default BookYourTravel WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Book Your Travel Home');
			} else {
				$page = get_page_by_title('BYT Home Elementor');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Default.zip",
				get_template_directory()."/includes/imports/_sliders/Default.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/default/elementor/BYT-Default-GetInspired.json",
				get_template_directory()."/includes/imports/default/elementor/BYT-Default-Home.json",
			);
        } elseif ('Agritourism WPBakery' === $selected_import['import_file_name'] || 'Agritourism Elementor' === $selected_import['import_file_name']) {
			if ('Agritourism WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Agritourism Home');
			} else {
				$page = get_page_by_title('Agritourism Home');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Agritourism.zip",
				get_template_directory()."/includes/imports/_sliders/Agritourism-inner.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/agritourism/elementor/BYT-Agritourism-Home.json",
				get_template_directory()."/includes/imports/agritourism/elementor/BYT-Agritourism-HowItWorks.json",
			);
        } elseif ('Beach Resort WPBakery' === $selected_import['import_file_name'] || 'Beach Resort Elementor' === $selected_import['import_file_name']) {
			if ('Beach Resort WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Beach Resort');
			} else {
				$page = get_page_by_title('Home Beach Resort');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/BeachResort.zip",
				get_template_directory()."/includes/imports/_sliders/BeachResort-Accommodation.zip",
				get_template_directory()."/includes/imports/_sliders/BeachResort-Nightlife.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/beachresort/elementor/BYT-BeachResort-Accommodation.json",
				get_template_directory()."/includes/imports/beachresort/elementor/BYT-BeachResort-Home.json",
				get_template_directory()."/includes/imports/beachresort/elementor/BYT-BeachResort-Restaurant.json",
				get_template_directory()."/includes/imports/beachresort/elementor/BYT-BeachResort-Tours.json",
				get_template_directory()."/includes/imports/beachresort/elementor/BYT-BeachResort-Watersports.json",
				get_template_directory()."/includes/imports/beachresort/elementor/BYT-BeachResort-Wellness.json",
			);
        } elseif ('Bed &amp; Breakfast WPBakery' === $selected_import['import_file_name'] || 'Bed &amp; Breakfast Elementor' === $selected_import['import_file_name']) {
			if ('Bed &amp; Breakfast WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Bed & Breakfast');
			} else {
				$page = get_page_by_title('Home Bed & Breakfast');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Bed&Breakfast.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/bedandbreakfast/elementor/BYT-Bed&Breakfast-Activities.json",
				get_template_directory()."/includes/imports/bedandbreakfast/elementor/BYT-Bed&Breakfast-Food.json",
				get_template_directory()."/includes/imports/bedandbreakfast/elementor/BYT-Bed&Breakfast-Home.json",
				get_template_directory()."/includes/imports/bedandbreakfast/elementor/BYT-Bed&Breakfast-Rooms.json",
			);
        } elseif ('Chalet WPBakery' === $selected_import['import_file_name'] || 'Chalet Elementor' === $selected_import['import_file_name']) {
			if ('Chalet WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Chalet');
			} else {
				$page = get_page_by_title('Home Chalet');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Chalet.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/chalet/elementor/BYT-Chalet-About.json",
				get_template_directory()."/includes/imports/chalet/elementor/BYT-Chalet-Cabins.json",
				get_template_directory()."/includes/imports/chalet/elementor/BYT-Chalet-Home.json",
				get_template_directory()."/includes/imports/chalet/elementor/BYT-Chalet-Testimonials.json",
			);
        } elseif ('Christmas &amp; New Year WPBakery' === $selected_import['import_file_name'] || 'Christmas &amp; New Year Elementor' === $selected_import['import_file_name']) {
			if ('Christmas &amp; New Year WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Christmas & New Year Home');
			} else {
				$page = get_page_by_title('Christmas & New Year Home');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Christmas-NewYear.zip",
				get_template_directory()."/includes/imports/_sliders/Christmas-Search.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/christmasnewyear/elementor/BYT-Christmas&NewYear-About.json",
				get_template_directory()."/includes/imports/christmasnewyear/elementor/BYT-Christmas&NewYear-Home.json",
				get_template_directory()."/includes/imports/christmasnewyear/elementor/BYT-Christmas&NewYear-Location-Single.json",
			);
        } elseif ('Cruise Operator WPBakery' === $selected_import['import_file_name'] || 'Cruise Operator Elementor' === $selected_import['import_file_name']) {
			if ('Cruise Operator WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Cruise Operator Home');
			} else {
				$page = get_page_by_title('Cruise Operator Home');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/CruiseOperator.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/cruiseoperator/elementor/BYT-CruiseOperator-Cruise-Single.json",
				get_template_directory()."/includes/imports/cruiseoperator/elementor/BYT-CruiseOperator-Home.json",
				get_template_directory()."/includes/imports/cruiseoperator/elementor/BYT-CruiseOperator-Tour-Single.json",
			);
        } elseif ('Eco Lodge WPBakery' === $selected_import['import_file_name'] || 'Eco Lodge Elementor' === $selected_import['import_file_name']) {
			if ('Eco Lodge WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Eco Lodge Home');
			} else {
				$page = get_page_by_title('Eco Lodge Home');
			}

			$slider_array = array();

			$elementor_array = array(
				get_template_directory()."/includes/imports/ecolodge/elementor/BYT-EcoLodge-Contact.json",
				get_template_directory()."/includes/imports/ecolodge/elementor/BYT-EcoLodge-Home.json",
				get_template_directory()."/includes/imports/ecolodge/elementor/BYT-EcoLodge-Location.json",
				get_template_directory()."/includes/imports/ecolodge/elementor/BYT-EcoLodge-Tours.json",
			);
        } elseif ('Event Festival WPBakery' === $selected_import['import_file_name'] || 'Event Festival Elementor' === $selected_import['import_file_name']) {
			if ('Event Festival WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Event Festival Home');
			} else {
				$page = get_page_by_title('Event Festival Home');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/EventFestival.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-Accommodation.json",
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-Faq.json",
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-Gallery.json",
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-Home.json",
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-Info.json",
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-LineUp.json",
				get_template_directory()."/includes/imports/eventfestival/elementor/BYT-EventFestival-News.json",
			);
        } elseif ('Exotic Tours WPBakery' === $selected_import['import_file_name'] || 'Exotic Tours Elementor' === $selected_import['import_file_name']) {
			if ('Exotic Tours WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Exotic Tours');
			} else {
				$page = get_page_by_title('Home Exotic Tours');
			}

			$slider_array = array();

			$elementor_array = array(
				get_template_directory()."/includes/imports/exotictours/elementor/BYT-ExoticTours-About.json",
				get_template_directory()."/includes/imports/exotictours/elementor/BYT-ExoticTours-Home.json",
				get_template_directory()."/includes/imports/exotictours/elementor/BYT-ExoticTours-Services.json",                                
			);
        } elseif ('Hostel WPBakery' === $selected_import['import_file_name'] || 'Hostel Elementor' === $selected_import['import_file_name']) {
			if ('Hostel WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home hostel');
			} else {
				$page = get_page_by_title('Hostel Home');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Hostel.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/hostel/elementor/BYT-Hostel-About.json",
				get_template_directory()."/includes/imports/hostel/elementor/BYT-Hostel-Home.json",
				get_template_directory()."/includes/imports/hostel/elementor/BYT-Hostel-Inquiry.json",                                
				get_template_directory()."/includes/imports/hostel/elementor/BYT-Hostel-Services.json",                                
			);
        } elseif ('Hotel WPBakery' === $selected_import['import_file_name'] || 'Hotel Elementor' === $selected_import['import_file_name']) {
			if ('Hotel WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Hotel');
			} else {
				$page = get_page_by_title('Home Hotel');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Hotel.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-About.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Dining.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Gallery.json",                                
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Home.json",                                
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Meetings-Inquiry.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Meetings.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Offers.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Room-Single.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Rooms.json",
				get_template_directory()."/includes/imports/hotel/elementor/BYT-Hotel-Wellness.json",
			);         
        } elseif ('Luxury Resort WPBakery' === $selected_import['import_file_name'] || 'Luxury Resort Elementor' === $selected_import['import_file_name']) {
			if ('Luxury Resort WPBakery' === $selected_import['import_file_name']) {
                $page = get_page_by_title('Luxury Resort Home');
            } else {
                $page = get_page_by_title('Luxury Resort Home');
            }
			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/LuxuryResortTestimonials.zip",
				get_template_directory()."/includes/imports/_sliders/LuxuryResort.zip"
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/luxuryresort/elementor/BYT-LuxuryResort-About.json",
				get_template_directory()."/includes/imports/luxuryresort/elementor/BYT-LuxuryResort-Diving.json",
				get_template_directory()."/includes/imports/luxuryresort/elementor/BYT-LuxuryResort-Home.json",                                
				get_template_directory()."/includes/imports/luxuryresort/elementor/BYT-LuxuryResort-Offers.json",
				get_template_directory()."/includes/imports/luxuryresort/elementor/BYT-LuxuryResort-Tours.json",
				get_template_directory()."/includes/imports/luxuryresort/elementor/BYT-LuxuryResort-Weddings.json",
			);
        } elseif ('Motorhomes &amp; Campervans WPBakery' === $selected_import['import_file_name'] || 'Motorhomes &amp; Campervans Elementor' === $selected_import['import_file_name']) {
			if ('Motorhomes &amp; Campervans WPBakery' === $selected_import['import_file_name']) {
                $page = get_page_by_title('Motorhomes & Campervans home');
            } else {
                $page = get_page_by_title('Motorhomes & Campervans home');
            }
			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/MotorHomes&CamperVans.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/motorhomescampervans/elementor/BYT-Motorhomes&Campervans-Home.json",
				get_template_directory()."/includes/imports/motorhomescampervans/elementor/BYT-Motorhomes&Campervans-Services.json",
			);
        } elseif ('Rent a Car WPBakery' === $selected_import['import_file_name'] || 'Rent a Car Elementor' === $selected_import['import_file_name']) {
            if ('Rent a Car WPBakery' === $selected_import['import_file_name']) {
                $page = get_page_by_title('Car rental home');
            } else {
                $page = get_page_by_title('Rent A Car Home Elementor');
            }

            $slider_array = array(
                get_template_directory()."/includes/imports/_sliders/RentACar.zip",
                get_template_directory()."/includes/imports/_sliders/RentACarCarousel.zip",
            );

            $elementor_array = array(
                get_template_directory()."/includes/imports/rentacar/elementor/BYT-RentACar-Faq.json",
                get_template_directory()."/includes/imports/rentacar/elementor/BYT-RentACar-Home.json",
            );
        } elseif ('Rent a Car Premium WPBakery' === $selected_import['import_file_name'] || 'Rent a Car Premium Elementor' === $selected_import['import_file_name']) {
			if ('Rent a Car Premium WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Rent A Car Premium Home');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/RentACarPremium.zip",
				get_template_directory()."/includes/imports/_sliders/RentACarCarousel.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/rentacarpremium/elementor/BYT-RentACarPremium-Faq.json",
				get_template_directory()."/includes/imports/rentacarpremium/elementor/BYT-RentACarPremium-Home.json",
			);
        } elseif ('Ski Resort WPBakery' === $selected_import['import_file_name'] || 'Ski Resort Elementor' === $selected_import['import_file_name']) {
			if ('Ski Resort WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Ski Resort');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/SkiResort.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/skiresort/elementor/BYT-SkiResort-Activities.json",
				get_template_directory()."/includes/imports/skiresort/elementor/BYT-SkiResort-Equipment-Rentals.json",
				get_template_directory()."/includes/imports/skiresort/elementor/BYT-SkiResort-Home.json",
				get_template_directory()."/includes/imports/skiresort/elementor/BYT-SkiResort-Lessons-Faq.json",
				get_template_directory()."/includes/imports/skiresort/elementor/BYT-SkiResort-Pricing.json",
			);
        } elseif ('Sustainable Travel WPBakery' === $selected_import['import_file_name'] || 'Sustainable Travel Elementor' === $selected_import['import_file_name']) {
			if ('Sustainable Travel WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Sustainable Travel Home');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/SustainableTravel.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/sustainabletravel/elementor/BYT-SustainableTravel-About.json",
				get_template_directory()."/includes/imports/sustainabletravel/elementor/BYT-SustainableTravel-Custom-Itinerary.json",
				get_template_directory()."/includes/imports/sustainabletravel/elementor/BYT-SustainableTravel-Faq.json",
				get_template_directory()."/includes/imports/sustainabletravel/elementor/BYT-SustainableTravel-Home.json",
				get_template_directory()."/includes/imports/sustainabletravel/elementor/BYT-SustainableTravel-Team.json",
				get_template_directory()."/includes/imports/sustainabletravel/elementor/BYT-SustainableTravel-Tour-Category.json",
			);    
        } elseif ('Tour Landing Page WPBakery' === $selected_import['import_file_name'] || 'Tour Landing Page Elementor' === $selected_import['import_file_name']) {
			if ('Tour Landing Page WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Tour Splash Home');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/TourOperator.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/tourlandingpage/elementor/BYT-Tour-Landing-Booking.json",
				get_template_directory()."/includes/imports/tourlandingpage/elementor/BYT-Tour-Landing.json",
			);
        } elseif ('Tour Operator WPBakery' === $selected_import['import_file_name'] || 'Tour Operator Elementor' === $selected_import['import_file_name']) {
			if ('Tour Operator WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Tour Operator');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/TourOperator.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/touroperator/elementor/BYT-TourOperator-About&Contact.json",
				get_template_directory()."/includes/imports/touroperator/elementor/BYT-TourOperator-Home.json",
				get_template_directory()."/includes/imports/touroperator/elementor/BYT-TourOperator-Tour-Single.json",
			);
        } elseif ('Travel Agency WPBakery' === $selected_import['import_file_name'] || 'Travel Agency Elementor' === $selected_import['import_file_name']) {
			if ('Travel Agency WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Travel Agency');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/TravelAgency.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/travelagency/elementor/BYT-TravelAgency-Home.json",
			);
        } elseif ('Travel &amp; Tours WPBakery' === $selected_import['import_file_name'] || 'Travel &amp; Tours Elementor' === $selected_import['import_file_name']) {
			if ('Travel &amp; Tours WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Travel Tours');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Travel&Tours.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/travelandtours/elementor/BYT-Travel&Tours-About.json",
				get_template_directory()."/includes/imports/travelandtours/elementor/BYT-Travel&Tours-Faq.json",
				get_template_directory()."/includes/imports/travelandtours/elementor/BYT-Travel&Tours-Home.json",
			);
        } elseif ('Travel Guide WPBakery' === $selected_import['import_file_name'] || 'Travel Guide Elementor' === $selected_import['import_file_name']) {
			if ('Travel Guide WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Travel Guide Home');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/TravelGuide.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/travelguide/elementor/BYT-TravelGuide-About.json",
				get_template_directory()."/includes/imports/travelguide/elementor/BYT-TravelGuide-BookYourTrip.json",
				get_template_directory()."/includes/imports/travelguide/elementor/BYT-TravelGuide-Feedback.json",
				get_template_directory()."/includes/imports/travelguide/elementor/BYT-TravelGuide-Home.json",
				get_template_directory()."/includes/imports/travelguide/elementor/BYT-TravelGuide-Offers.json",
				get_template_directory()."/includes/imports/travelguide/elementor/BYT-TravelGuide-Season.json",
			);
        } elseif ('Vacation Rentals WPBakery' === $selected_import['import_file_name'] || 'Vacation Rentals Elementor' === $selected_import['import_file_name']) {
			if ('Vacation Rentals WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Vacation Rentals');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/VacationRentals.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/vacationrentals/elementor/BYT-VacationRentals-BecomeAHost.json",
				get_template_directory()."/includes/imports/vacationrentals/elementor/BYT-VacationRentals-Home.json",
				get_template_directory()."/includes/imports/vacationrentals/elementor/BYT-VacationRentals-HostAnExperience.json",
				get_template_directory()."/includes/imports/vacationrentals/elementor/BYT-VacationRentals-HowItWorks.json",
				get_template_directory()."/includes/imports/vacationrentals/elementor/BYT-VacationRentals-ListYourProperty.json",
			);
        } elseif ('Villa WPBakery' === $selected_import['import_file_name'] || 'Villa Elementor' === $selected_import['import_file_name']) {
			if ('Villa WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home Villa');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Villa.zip",
				get_template_directory()."/includes/imports/_sliders/VillaTestimonials.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/villa/elementor/BYT-Villa-Home.json",
			);
        } elseif ('Wedding Venue WPBakery' === $selected_import['import_file_name'] || 'Wedding Venue Elementor' === $selected_import['import_file_name']) {
			if ('Wedding Venue WPBakery' === $selected_import['import_file_name']) {
				$page = get_page_by_title('Home wedding');
			} else {
				$page = get_page_by_title('XYZ');
			}

			$slider_array = array(
				get_template_directory()."/includes/imports/_sliders/Wedding.zip",
				get_template_directory()."/includes/imports/_sliders/WeddingTestimonials.zip",
			);

			$elementor_array = array(
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Ceremonies.json",
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Ceremony-Single.json",
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Estate.json",
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Food&Drink.json",
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Home.json",
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Inquiry.json",
				get_template_directory()."/includes/imports/wedding/elementor/BYT-Wedding-Offers.json",
			);
        }

        if (isset($page) && $page->ID > 0) {
            update_option('page_on_front', $page->ID);
            update_option('show_on_front', 'page');
        }

        if (class_exists('RevSlider')) {
            if (count($slider_array) > 0) {
                $slider = new RevSlider();
            
                foreach ($slider_array as $filepath) {
                    $slider->importSliderFromPost(true, true, $filepath);
                }
            }
        }

        global $wp_filesystem;

        WP_Filesystem();

        if (class_exists('\Elementor\Plugin')) {
            if (count($elementor_array) > 0) {
                foreach ($elementor_array as $filepath) {
                    $source = \Elementor\Plugin::instance()->templates_manager->get_source('local');
                    $source->import_template(basename($filepath), $filepath);
                }
            }
        }
    }

    public function list_demo_import_files()
    {
        return array(
            array(
                'import_file_name'             => 'Default BookYourTravel WPBakery',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/default/bookyourtravel.wpbakery.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/default/bookyourtravel.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/default/bookyourtravel.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/default/bookyourtravel.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/',
            ),
            array(
                'import_file_name'             => 'Default BookYourTravel Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/default/bookyourtravel.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/default/bookyourtravel.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/default/bookyourtravel.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/default/bookyourtravel.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/',
            ),            
            array(
              'import_file_name'             => 'Agritourism WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/agritourism/agritourism.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/agritourism/agritourism.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/agritourism/agritourism.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/agritourism/agritourism.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/agritourism/',
            ),
            array(
                'import_file_name'             => 'Agritourism Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/agritourism/agritourism.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/agritourism/agritourism.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/agritourism/agritourism.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/agritourism/agritourism.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/agritourism/',
              ),            
            array(
              'import_file_name'             => 'Beach Resort WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/beachresort/beachresort.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/beachresort/beachresort.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/beachresort/beachresort.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/beachresort/beachresort.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/beach-resort/',
            ),
            array(
                'import_file_name'             => 'Beach Resort Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/beachresort/beachresort.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/beachresort/beachresort.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/beachresort/beachresort.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/beachresort/beachresort.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/beach-resort/',
              ),
            array(
              'import_file_name'             => 'Bed &amp; Breakfast WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/bedandbreakfast/bedandbreakfast.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/bedandbreakfast/bedandbreakfast.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/bedandbreakfast/bedandbreakfast.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/bedandbreakfast/bedandbreakfast.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/bed-and-breakfast/',
            ),
            array(
                'import_file_name'             => 'Bed &amp; Breakfast Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/bedandbreakfast/bedandbreakfast.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/bedandbreakfast/bedandbreakfast.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/bedandbreakfast/bedandbreakfast.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/bedandbreakfast/bedandbreakfast.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/bed-and-breakfast/',
              ),
            array(
              'import_file_name'             => 'Chalet WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/chalet/chalet.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/chalet/chalet.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/chalet/chalet.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/chalet/chalet.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/chalet/',
            ),
            array(
                'import_file_name'             => 'Chalet Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/chalet/chalet.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/chalet/chalet.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/chalet/chalet.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/chalet/chalet.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/chalet/',
              ),
            array(
                'import_file_name'             => 'Christmas &amp; New Year WPBakery',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/christmasnewyear/christmasnewyear.wpbakery.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/christmasnewyear/christmasnewyear.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/christmasnewyear/christmasnewyear.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/christmasnewyear/christmasnewyear.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/christmas-new-year/',
            ),
            array(
                'import_file_name'             => 'Christmas &amp; New Year Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/christmasnewyear/christmasnewyear.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/christmasnewyear/christmasnewyear.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/christmasnewyear/christmasnewyear.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/christmasnewyear/christmasnewyear.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/christmas-new-year/',
            ),
            array(
              'import_file_name'             => 'Cruise Operator WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/cruiseoperator/cruiseoperator.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/cruiseoperator/cruiseoperator.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/cruiseoperator/cruiseoperator.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/cruiseoperator/cruiseoperator.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/cruise-operator/',
			),
            array(
                'import_file_name'             => 'Cruise Operator Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/cruiseoperator/cruiseoperator.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/cruiseoperator/cruiseoperator.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/cruiseoperator/cruiseoperator.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/cruiseoperator/cruiseoperator.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/cruise-operator/',
              ),
            array(
				'import_file_name'             => 'Eco Lodge WPBakery',
				'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/ecolodge/ecolodge.wpbakery.WordPress.xml',
				'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/ecolodge/ecolodge.Widgets.wie',
				'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/ecolodge/ecolodge.Customizer.dat',
				'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/ecolodge/ecolodge.jpg',
				'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
				'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/eco-lodge/',
			  ),	
              array(
				'import_file_name'             => 'Eco Lodge Elementor',
				'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/ecolodge/ecolodge.elementor.WordPress.xml',
				'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/ecolodge/ecolodge.Widgets.wie',
				'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/ecolodge/ecolodge.Customizer.dat',
				'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/ecolodge/ecolodge.jpg',
				'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
				'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/eco-lodge/',
			  ),		
            array(
              'import_file_name'             => 'Event Festival WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/eventfestival/eventfestival.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/eventfestival/eventfestival.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/eventfestival/eventfestival.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/eventfestival/eventfestival.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/event-festival/',
            ),
            array(
                'import_file_name'             => 'Event Festival Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/eventfestival/eventfestival.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/eventfestival/eventfestival.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/eventfestival/eventfestival.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/eventfestival/eventfestival.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/event-festival/',
              ),
            array(
              'import_file_name'             => 'Exotic Tours WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/exotictours/exotictours.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/exotictours/exotictours.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/exotictours/exotictours.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/exotictours/exotictours.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/exotic-tours/',
            ),
            array(
                'import_file_name'             => 'Exotic Tours Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/exotictours/exotictours.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/exotictours/exotictours.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/exotictours/exotictours.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/exotictours/exotictours.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/exotic-tours/',
              ),
            array(
              'import_file_name'             => 'Hostel WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/hostel/hostel.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/hostel/hostel.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/hostel/hostel.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/hostel/hostel.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/hostel/',
            ),
            array(
                'import_file_name'             => 'Hostel Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/hostel/hostel.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/hostel/hostel.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/hostel/hostel.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/hostel/hostel.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/hostel/',
              ),
            array(
              'import_file_name'             => 'Hotel WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/hotel/hotel.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/hotel/hotel.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/hotel/hotel.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/hotel/hotel.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/hotel/',
            ),
            array(
                'import_file_name'             => 'Hotel Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/hotel/hotel.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/hotel/hotel.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/hotel/hotel.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/hotel/hotel.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/hotel/',
              ),
            array(
              'import_file_name'             => 'Luxury Resort WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/luxuryresort/luxuryresort.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/luxuryresort/luxuryresort.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/luxuryresort/luxuryresort.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/luxuryresort/luxuryresort.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/resort/',
            ),
            array(
                'import_file_name'             => 'Luxury Resort Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/luxuryresort/luxuryresort.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/luxuryresort/luxuryresort.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/luxuryresort/luxuryresort.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/luxuryresort/luxuryresort.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/resort/',
              ),
            array(
              'import_file_name'             => 'Motorhomes &amp; Campervans WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/motorhomescampervans/motorhomescampervans.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/motorhomescampervans/motorhomescampervans.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/motorhomescampervans/motorhomescampervans.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/motorhomescampervans/motorhomescampervans.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/motorhomes-campervans/',
            ),
            array(
                'import_file_name'             => 'Motorhomes &amp; Campervans Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/motorhomescampervans/motorhomescampervans.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/motorhomescampervans/motorhomescampervans.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/motorhomescampervans/motorhomescampervans.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/motorhomescampervans/motorhomescampervans.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/motorhomes-campervans/',
              ),
            array(
              'import_file_name'             => 'Rent a Car WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/rentacar/rentacar.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/rentacar/rentacar.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/rentacar/rentacar.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/rentacar/rentacar.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/rent-a-car/',
            ),
            array(
                'import_file_name'             => 'Rent a Car Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/rentacar/rentacar.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/rentacar/rentacar.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/rentacar/rentacar.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/rentacar/rentacar.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/rent-a-car/',
              ),
            array(
              'import_file_name'             => 'Rent a Car Premium WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/rentacarpremium/rentacarpremium.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/rentacarpremium/rentacarpremium.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/rentacarpremium/rentacarpremium.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/rentacarpremium/rentacarpremium.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/rent-a-car-premium/',
            ),
            array(
                'import_file_name'             => 'Rent a Car Premium Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/rentacarpremium/rentacarpremium.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/rentacarpremium/rentacarpremium.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/rentacarpremium/rentacarpremium.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/rentacarpremium/rentacarpremium.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/rent-a-car-premium/',
              ),
            array(
              'import_file_name'             => 'Ski Resort WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/skiresort/skiresort.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/skiresort/skiresort.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/skiresort/skiresort.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/skiresort/skiresort.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/ski-resort/',
            ),
            array(
                'import_file_name'             => 'Ski Resort Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/skiresort/skiresort.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/skiresort/skiresort.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/skiresort/skiresort.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/skiresort/skiresort.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/ski-resort/',
              ),
            array(
                'import_file_name'             => 'Sustainable Travel WPBakery',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/sustainabletravel/sustainabletravel.wpbakery.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/sustainabletravel/sustainabletravel.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/sustainabletravel/sustainabletravel.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/sustainabletravel/sustainabletravel.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/sustainable-travel/',
              ),
              array(
                'import_file_name'             => 'Sustainable Travel Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/sustainabletravel/sustainabletravel.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/sustainabletravel/sustainabletravel.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/sustainabletravel/sustainabletravel.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/sustainabletravel/sustainabletravel.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/sustainable-travel/',
              ),
            array(
              'import_file_name'             => 'Tour Landing Page WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/tourlandingpage/tourlandingpage.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/tourlandingpage/tourlandingpage.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/tourlandingpage/tourlandingpage.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/tourlandingpage/tourlandingpage.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/tour-landing-page/',
            ),
            array(
                'import_file_name'             => 'Tour Landing Page Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/tourlandingpage/tourlandingpage.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/tourlandingpage/tourlandingpage.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/tourlandingpage/tourlandingpage.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/tourlandingpage/tourlandingpage.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/tour-landing-page/',
              ),
            array(
              'import_file_name'             => 'Tour Operator WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/touroperator/touroperator.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/touroperator/touroperator.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/touroperator/touroperator.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/touroperator/touroperator.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/tour-operator/',
            ),
            array(
                'import_file_name'             => 'Tour Operator Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/touroperator/touroperator.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/touroperator/touroperator.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/touroperator/touroperator.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/touroperator/touroperator.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/tour-operator/',
              ),
            array(
              'import_file_name'             => 'Travel Agency WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/travelagency/travelagency.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/travelagency/travelagency.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/travelagency/travelagency.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/travelagency/travelagency.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/travel-agency/',
            ),
            array(
                'import_file_name'             => 'Travel Agency Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/travelagency/travelagency.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/travelagency/travelagency.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/travelagency/travelagency.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/travelagency/travelagency.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/travel-agency/',
              ),
            array(
              'import_file_name'             => 'Travel &amp; Tours WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/travelandtours/travelandtours.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/travelandtours/travelandtours.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/travelandtours/travelandtours.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/travelandtours/travelandtours.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/travel-tours/',
            ),
            array(
                'import_file_name'             => 'Travel &amp; Tours Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/travelandtours/travelandtours.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/travelandtours/travelandtours.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/travelandtours/travelandtours.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/travelandtours/travelandtours.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/travel-tours/',
              ),
            array(
              'import_file_name'             => 'Travel Guide WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/travelguide/travelguide.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/travelguide/travelguide.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/travelguide/travelguide.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/travelguide/travelguide.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/travel-guide/',
            ),
            array(
                'import_file_name'             => 'Travel Guide Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/travelguide/travelguide.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/travelguide/travelguide.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/travelguide/travelguide.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/travelguide/travelguide.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/travel-guide/',
              ),
            array(
              'import_file_name'             => 'Vacation Rentals WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/vacationrentals/vacationrentals.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/vacationrentals/vacationrentals.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/vacationrentals/vacationrentals.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/vacationrentals/vacationrentals.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/vacation-rentals/',
            ),
            array(
                'import_file_name'             => 'Vacation Rentals Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/vacationrentals/vacationrentals.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/vacationrentals/vacationrentals.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/vacationrentals/vacationrentals.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/vacationrentals/vacationrentals.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/vacation-rentals/',
              ),
            array(
              'import_file_name'             => 'Villa WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/villa/villa.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/villa/villa.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/villa/villa.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/villa/villa.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/villa/',
            ),
            array(
                'import_file_name'             => 'Villa Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/villa/villa.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/villa/villa.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/villa/villa.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/villa/villa.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/villa/',
              ),
            array(
              'import_file_name'             => 'Wedding Venue WPBakery',
              'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/weddingvenue/weddingvenue.wpbakery.WordPress.xml',
              'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/weddingvenue/weddingvenue.Widgets.wie',
              'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/weddingvenue/weddingvenue.Customizer.dat',
              'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/weddingvenue/weddingvenue.jpg',
              'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
              'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/wedding/',
            ),
            array(
                'import_file_name'             => 'Wedding Venue Elementor',
                'local_import_file'            => trailingslashit(get_template_directory()) . 'includes/imports/weddingvenue/weddingvenue.elementor.WordPress.xml',
                'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'includes/imports/weddingvenue/weddingvenue.Widgets.wie',
                'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'includes/imports/weddingvenue/weddingvenue.Customizer.dat',
                'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'includes/imports/weddingvenue/weddingvenue.jpg',
                'import_notice'                => __('After you import this demo, you will have to setup the slider and menus separately.', 'bookyourtravel'),
                'preview_url'                  => 'https://themes.themeenergy.com/bookyourtravel/wedding/',
              ),
        );
    }

    public function my_custom_sizes($sizes)
    {
        return array_merge($sizes, array(
            'byt-featured' => __('Featured Image', 'bookyourtravel'),
        ));
    }

    public function customize_excerpt($excerpt, $arr)
    {
        $short_description = '';
        if (count($arr) > 0) {
            $post = $arr["post"];
            $post_type = $post->post_type;
            if ($post_type == "accommodation" ||
                $post_type == "cruise" ||
                $post_type == "car_rental" ||
                $post_type == "location" ||
                $post_type == "tour") {
                $short_description = get_post_meta($post->ID, $post->post_type . "_short_description", true);
            }
        }

        return !empty($short_description) ? $short_description : $excerpt;
    }

    public function get_the_archive_title($title)
    {
        $taxonomy = get_query_var('taxonomy');
        if (is_category()) {
            $title = single_cat_title('', false);
        } elseif (is_tag()) {
            $title = single_tag_title('', false);
        } elseif (is_author()) {
            $title = '<span class="vcard">' . get_the_author() . '</span>' ;
        } elseif ($taxonomy == 'acc_tag' || $taxonomy == 'accommodation_type' ||
            $taxonomy == 'tour_tag' || $taxonomy == 'tour_type' ||
            $taxonomy == 'cruise_tag' || $taxonomy == 'cruise_type' ||
            $taxonomy == 'cruise_duration' || $taxonomy == 'tour_duration' ||
            $taxonomy == 'car_rental_tag' || $taxonomy == 'car_type' ||
            $taxonomy == 'location_type' || $taxonomy == 'location_tag' ||
            $taxonomy == 'facility') {
            $title = single_cat_title('', false);
        }

        return $title;
    }

    public function remove_type_attributes($tag, $handle)
    {
        return preg_replace("/type=['\"]text\/(javascript|css)['\"]/", '', $tag);
    }

    public function revslider_dashboard_elements_remove_activation_widget($dashboard_array)
    {
        if (isset($dashboard_array['rs-validation'])) {
            unset($dashboard_array['rs-validation']);
        }
        return $dashboard_array;
    }

    public function filter_post_thumbnail_html($html, $post_id, $post_thumbnail_id, $size, $attr)
    {
        // If there is no post thumbnail,
        // Return a default image
        require_once(ABSPATH . WPINC . '/class-simplepie.php');
        $simplePie = new SimplePie();

        $width = 0;
        $height = 0;

        if ($size == 'thumbnail' || $size == 'thumb') {
            $width = get_option('thumbnail_size_w');
            $height = get_option('thumbnail_size_h');
        } elseif ($size == 'medium') {
            $width = get_option('medium_size_w');
            $height = get_option('medium_size_h');
        } elseif ($size == 'large') {
            $width = get_option('large_size_w');
            $height = get_option('large_size_h');
        } elseif ($size == 'byt-featured') {
            $width = $simplePie->get_image_width("byt-featured");
            $height = $simplePie->get_image_height("byt-featured");
        } else {
            $width = $simplePie->get_image_width("large");
            $height = $simplePie->get_image_height("large");
        }

        if ('' == $html) {
            return sprintf(
                '<img src="%s" height="%s" width="%s" title="%s" />',
                BookYourTravel_Theme_Utils::get_file_uri('/images/uploads/img.jpg'),
                $width,
                $height,
                get_the_title()
            );
        }
        // Else, return the post thumbnail
        return $html;
    }
}

// store the instance in a variable to be retrieved later and call init
$bookyourtravel_theme_filters = BookYourTravel_Theme_Filters::get_instance();
